﻿using System.Collections.Generic;
using PAT.Common.Classes.Expressions;
using PAT.Common.Classes.Expressions.ExpressionClass;
using PAT.Common.Classes.Ultility;

namespace PAT.SCSP.LTS{
    public sealed class Skip : Process
    {       
        public Skip() 
        {
            ProcessID = Constants.SKIP;
        }
        
        public override void MoveOneStep(Valuation GlobalEnv, List<Configuration> list)
        {
            System.Diagnostics.Debug.Assert(list.Count == 0);

            list.Add(new Configuration(new Stop(), Constants.TERMINATION, GlobalEnv, false));
        }
    
        public override string ToString()
        {
            return "Skip";
        }
    
        //public override Process ClearConstant(Dictionary<string, Expression> constMapping)
        //{
        //    return this;
        //}
    }
}